GLIRC(1)

NAME
Glirc - an IRC client

SYNOPSIS
glirc [--config=PATH] [--noconnect] [--version] [--full-version] [--config-format] [--help] [network...]

DESCRIPTION
Glirc is a fully-featured console IRC client. It focuses on providing both high-detail and concise views of an IRC connection. It provides an advanced line-editing environment including syntax-highlighting, multi-line buffering, and argument placeholders.

OPTIONS

-c, --config=PATH
    use PATH instead of ~/.config/glirc/config

-!, --noconnect
    disable autoconnecting

-v, --version
    print version information

--full-version
    show detailed version information

--config-format
    show configuration file format

-h, --help
    show help message

network
    networks to connect to on startup

NOTES
Glirc has online documentation available inside with /help and online at https://github.com/glguy/irc-core/wiki

FILES

~/.config/glirc/config
    configuration file

~/.config/glirc/sts.cfg
    Strict Transport Security state

EXAMPLES
Sample simple configuration file. More detail available at https://github.com/glguy/irc-core/wiki/Configuration-File

    defaults:
      nick: "glircuser"
      tls: yes

    servers:
      * name: "libera"
        hostname: "irc.libera.chat"

      * name: "oftc"
        hostname: "irc.oftc.net"